# addConstraint

abstract fun addConstraint(dependencyConstraint: DependencyConstraint)

Add a dependency constraint.

#### Since

8.7

#### Parameters

dependencyConstraint

dependency constraint to add

abstract fun addConstraint(dependencyConstraint: DependencyConstraint, configuration: Action<in DependencyConstraint>)

Add a dependency constraint and configure it.

#### Since

8.7

#### Parameters

dependencyConstraint

dependency constraint to add

configuration

an action to configure the dependency constraint

abstract fun addConstraint(dependencyConstraint: Provider<out DependencyConstraint>)

Add a dependency constraint, using a Provider to lazily create the constraint.

#### Since

8.7

#### Parameters

dependencyConstraint

dependency constraint to add

abstract fun addConstraint(dependencyConstraint: Provider<out DependencyConstraint>, configuration: Action<in DependencyConstraint>)

Add a dependency constraint and configure it, using a Provider to lazily create the constraint.

#### Since

8.7

#### Parameters

dependencyConstraint

dependency constraint to add

configuration

an action to configure the dependency constraint